summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeffrey Walton <noloader@gmail.com>2018-01-20 12:45:05 -0500
committerJeffrey Walton <noloader@gmail.com>2018-01-20 12:45:05 -0500
commit31c6b236dce22d32555028994b5061f2e6759a6a (patch)
treec798e8c9d677800b9913217f0138ad7eb46a16c6
parentb225fbfae79afdce6cc42c094a65a8c167cf5c4e (diff)
downloadcryptopp-git-31c6b236dce22d32555028994b5061f2e6759a6a.tar.gz
Revert "Sync setenv scripts"
This reverts commit b225fbf. The new one was overwritten, not the old one.
-rwxr-xr-xsetenv-embedded.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/setenv-embedded.sh b/setenv-embedded.sh
index c6259645..7e743ab8 100755
--- a/setenv-embedded.sh
+++ b/setenv-embedded.sh
@@ -13,7 +13,7 @@
# See http://www.cryptopp.com/wiki/ARM_Embedded_(Command_Line) for details.
# ====================================================================
-set -eu
+# set -eu
# Unset old options
@@ -44,7 +44,8 @@ export CXX="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-g++"
export LD="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-ld"
export AR="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-ar"
export AS="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-as"
-export RANLIB="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-gcc-ranlib-4.7"
+export RANLIB="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-ranlib"
+# export RANLIB="$ARM_EMBEDDED_TOOLCHAIN/$TOOL_PREFIX-gcc-ranlib-4.7"
# Test a few of the tools
if [ ! -e "$CPP" ]; then
@@ -97,7 +98,8 @@ if [ ! -d "$ARM_EMBEDDED_SYSROOT" ]; then
fi
# Fix C++ header paths for Ubuntu
-ARM_EMBEDDED_TOOLCHAIN_VERSION="4.7.3"
+# ARM_EMBEDDED_TOOLCHAIN_VERSION="4.7.3"
+ARM_EMBEDDED_TOOLCHAIN_VERSION="5.4.0"
ARM_EMBEDDED_CXX_HEADERS="$ARM_EMBEDDED_SYSROOT/include/c++/$ARM_EMBEDDED_TOOLCHAIN_VERSION"
if [ ! -d "$ARM_EMBEDDED_CXX_HEADERS" ]; then
@@ -134,8 +136,9 @@ fi
echo
echo "*******************************************************************************"
-echo "It looks the the environment is set correctly. Your next step is"
-echo "build the library with 'make -f GNUmakefile-cross'"
+echo "It looks the the environment is set correctly. Your next step is build"
+echo "the library with 'make -f GNUmakefile-cross'. You can create a versioned"
+echo "shared object using 'HAS_SOLIB_VERSION=1 make -f GNUmakefile-cross'"
echo "*******************************************************************************"
echo